version: 1
default_environment: dev
project_id: 8352b295-19ff-4d7f-99b3-0ed059bd95fe
plugins:
  extractors:
  - name: tap-twitter
    namespace: tap_twitter
    pip_url: git+https://github.com/bernietai/tap-twitter.git
    executable: tap-twitter
    capabilities:
    - properties
    - discover
    select:
    - '*.*'
    config:
      start_date: '2019-01-01T00:00:00Z'
      user_agent: tap-twitter srinivasula@touchnote.in
      consumer_key: 
      consumer_secret: 
      access_token: 
      access_token_secret: 
      attribution_window: 14
      with_deleted: true
      country_codes: US, UK
      count: 10
      request_token_url: https://api.twitter.com/oauth/request_token
      access_token_url: https://api.twitter.com/oauth/access_token
      authorize_url: https://api.twitter.com/oauth/authorize
      account_ids: c1ktp
  loaders:
  - name: target-jsonl
    variant: andyh1203
    pip_url: target-jsonl
schedules:
- name: twitter-to-jsonl
  extractor: tap-twitter
  loader: target-jsonl
  transform: skip
  interval: '@once'
  start_date: 2022-04-13 13:17:45.027121
environments:
- name: dev
  config:
    plugins:
      extractors:
      - name: tap-twitter
        config:
          start_date: '2019-01-01T00:00:00Z'
          user_agent: tap-twitter srinivasula@touchnote.in
          consumer_key: 
          consumer_secret: 
          access_token: 
          access_token_secret: 
          attribution_window: 14
          with_deleted: true
          country_codes: US, UK
          count: 10
          request_token_url: https://api.twitter.com/oauth/request_token
          access_token_url: https://api.twitter.com/oauth/access_token
          authorize_url: https://api.twitter.com/oauth/authorize
          account_ids: c1ktp
        capabilities:
        - properties
        - discover
        select:
        - '*.*'
- name: staging
- name: prod
